org.vishia.gral.ifc

## Class GralWidget_ifc.ActionChange

- java.lang.Object
- - org.vishia.gral.ifc.GralWidget_ifc.ActionChange

- Enclosing interface:
    GralWidget_ifc

      public static class GralWidget_ifc.ActionChange
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GralUserAction` | `action`
    `protected java.lang.Object[]` | `args` Any arguments, usual String[].
    `protected java.lang.String` | `sAction` Usual the given textual description of the action, can be shown to display or as menu item in context menu.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionChange(java.lang.String sAction, GralUserAction action, java.lang.Object[] args)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GralUserAction` | `action()`
    `java.lang.Object[]` | `args()`
    `java.lang.String` | `sAction()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### action

          protected final GralUserAction action

    - #### sAction

          protected final java.lang.String sAction

      Usual the given textual description of the action, can be shown to display or as menu item in context menu.

    - #### args

          protected final java.lang.Object[] args

      Any arguments, usual String[].

  - ### Constructor Detail

    - #### ActionChange

          public ActionChange(java.lang.String sAction,
                              GralUserAction action,
                              java.lang.Object[] args)

  - ### Method Detail

    - #### action

          public GralUserAction action()

    - #### args

          public java.lang.Object[] args()

    - #### sAction

          public java.lang.String sAction()